> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Garmin Backfill

> Cancel an in-progress Garmin backfill for a user.

Sets a cancellation flag in Redis. The backfill will stop after the
current data type completes processing.

Returns 409 if no backfill is currently in progress.



## OpenAPI

````yaml https://api.openwearables.io/openapi.json post /api/v1/providers/garmin/users/{user_id}/backfill/cancel
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/providers/garmin/users/{user_id}/backfill/cancel:
    post:
      tags:
        - 'External: Data Sync'
      summary: Cancel Garmin Backfill
      description: |-
        Cancel an in-progress Garmin backfill for a user.

        Sets a cancellation flag in Redis. The backfill will stop after the
        current data type completes processing.

        Returns 409 if no backfill is currently in progress.
      operationId: >-
        cancel_garmin_backfill_api_v1_providers_garmin_users__user_id__backfill_cancel_post
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
        - name: X-Open-Wearables-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Open-Wearables-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Cancel Garmin Backfill Api V1 Providers Garmin Users 
                  User Id  Backfill Cancel Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````